---
gitea: none
include_toc: true
---

# loki

## Description

Loki, a log aggregation platform.

[For more informations](https://grafana.com/)

## Examples

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

With minimum providers:

```
loki:
  applicationservice: loki
  provider_zone: loki
  zones_name:
    - localdns
```

With all providers:

```
loki:
  applicationservice: loki
  provider_zone: loki
  zones_name:
    - journald
    - localdns
```

## Dependances

- [base-fedora-38](../base-fedora-38/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
      - [journald](../journald/README.md)
      - [resolved](../resolved/README.md)

## Variables

### Général (*general*)

#### loki (*general.loki*)

| Description                                                        | Type                                                                                                                       | Provider   |
|--------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|
| **Remote loki client** (*[remotes](dictionaries/20_loki.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Loki       |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[vector](../vector/README.md)

[All applications services for this dataset.](../README.md)
