---
gitea: none
include_toc: true
---

# prometheus

## Description

Prometheus, an event monitoring.

[For more informations](https://prometheus.io/)

## Examples

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

With minimum providers:

```
prometheus:
  applicationservice: prometheus
  provider_zone: prometheus
  zones_name:
    - localdns
```

With all providers:

```
prometheus:
  applicationservice: prometheus
  provider_zone: prometheus
  zones_name:
    - journald
    - localdns
```

## Dependances

- [base-fedora-38](../base-fedora-38/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
      - [journald](../journald/README.md)
      - [resolved](../resolved/README.md)

## Variables

### Général (*general*)

#### prometheus (*general.prometheus*)

| Description                                              | Type                                                                                                                       | Provider   |
|----------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|
| *[client_addresses](dictionaries/20_prometheus.xml)* [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Prometheus |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[host-systemd-machined](../host-systemd-machined/README.md)

[All applications services for this dataset.](../README.md)
