---
gitea: none
include_toc: true
---

# vector

## Description

Vector, a lightweight, ultra-fast tool for building observability pipelines.

[For more informations](https://vector.dev/)

## Examples

Zone names are provided as examples. Think about adapting with the value of provider_zone in configuration file.

With minimum providers:

```
vector:
  applicationservice: vector
  provider_zone: journald
  zones_name:
    - localdns
    - loki
```

With all providers:

```
vector:
  applicationservice: vector
  provider_zone: journald
  zones_name:
    - journald
    - localdns
    - loki
```

## Dependances

- [base-fedora-38](../base-fedora-38/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
      - [journald](../journald/README.md)
      - [resolved](../resolved/README.md)
- [journald_remote](../journald_remote/README.md)

## Variables

### Général (*general*)

#### loki (*general.vector*)

| Description                                          | Type                                                                                                                       | Provider   |
|------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|
| *[client_addresses](dictionaries/20_vector.xml)* [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Vector     |

#### loki (*general.loki*)

| Description                                           | Type                                                                                                                       | Supplier   |
|-------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|
| *[**server_domainname**](dictionaries/20_vector.xml)* | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Loki       |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[host-systemd-machined](../host-systemd-machined/README.md)

## Provider

[loki](../loki/README.md)

[All applications services for this dataset.](../README.md)
